##### posix::stream_descriptor::stream_descriptor (3 of 3 overloads)

Move-construct a `posix::stream_descriptor` from another.

    stream_descriptor(
        stream_descriptor && other);

This constructor moves a stream descriptor from one object to another.

###### Parameters

other

  The other `posix::stream_descriptor` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `stream_descriptor(io_context&) constructor`.